{% extends 'base_jinja.html' %}
{% block title %} {{ titulo }} {% endblock title %}

{% block stylesheets %}
    {{ super() }}
    <!-- DataTables -->
    <link rel="stylesheet" href="{{ static('bower_components/datatables.net-bs/css/dataTables.bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ static('bower_components/datatables.net-responsive-bs/css/responsive.bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ static('bower_components/datatables.net-buttons-bs/css/buttons.bootstrap.min.css') }}">

{% endblock stylesheets %}

{% block content %}
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                GDC | SDLC
                <small> {{ titulo }} - {{ sub_titulo }} </small>
            </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            {% if get_messages(request) %}
                {% for message in get_messages(request) %}
                    <div class="alert alert-{{ message.tags }} alert-dismissible">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        {% if message.tags == 'error' %}
                            <h4><i class="icon fa fa-ban"></i> ¡Alerta!</h4>
                        {% elif message.tags == 'warning' %}
                            <h4><i class="icon fa fa-warning"></i> ¡Cuidado!</h4>
                        {% elif message.tags == 'success' %}
                            <h4><i class="icon fa fa-check"></i> ¡Exito!</h4>
                        {% elif message.tags == 'info' %}
                            <h4><i class="icon fa fa-info"></i> ¡Atención!</h4>
                        {% endif %}
                        {{ message }}
                    </div>
                {% endfor %}
            {% endif %}
            
            <div class="row">
                <div class="col-md-8 col-md-offset-2">
                    <div class="box box-info">
                        <div class="box-header with-border">
                          <h3 class="box-title">{{ titulo }} en  {{ annio }}</h3>
            
                          <div class="box-tools pull-right">
                            <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                            </button>
                         </div>
                        </div>
                        <div class="box-body">
                          <div class="chart">
                            <canvas id="barChart" style="height:330px"></canvas>
                          </div>
                        </div>
                        <!-- /.box-body -->
                      </div>
                </div>
            </div>

            <div class="row">
                <div class="col-md-8">
                    <div class="box box-primary">
                        <div class="box-header">
                            
                            <!--  -->
                        </div>
                        <!-- /.box-header -->
                        <div class="box-body">
                            <table id="example" class="table table-bordered table-striped">
                                <thead>
                                    <tr>
                                        <th colspan="5" class="text-center">
                                            <select name="parroquia" id="parroquia" class="form-control">
                                                <option value="todos">Parroquias</option>
                                                {% for parroquia in parroquias %}
                                                <option value="{{ parroquia.nombreparroquia|capitalize }}">{{ parroquia.nombreparroquia|capitalize }}</option>
                                                {% endfor %}
                                            </select>
                                        </th>
                                    </tr>
                                <tr>
                                    <th><i class="fa fa-credit-card"></i> &nbsp;&nbsp;Razón Social</th>
                                    <th class="text-center"><i class="fa fa-file-o"></i> &nbsp;&nbsp; RIF</th>
                                    <th class="text-center"><i class="fa fa-group"></i>&nbsp;&nbsp; 
                                        {{ titulo }}
                                    </th>
                                    <th class="text-center"><i class="fa fa-map-market"></i>
                                    &nbsp;&nbsp; Parroquia
                                    </th>
                                    <th class="text-center">
                                        Status
                                    </th>

                                    <th class="text-center">Acciones</th>
                                    
                                </tr>
                                </thead>
                                <tbody>
                                    {% for tramite in tramites %}
                                    <tr>
                                        <td>{{ tramite.pago.empresa.razon_social.upper() }}</td>
                                        <td class="text-center">{{ tramite.pago.empresa.nro_rif }} </td>
                                        <td class="text-center">
                                                {{ tramite.nro_tramite }}
                                        </td>
                                        <td class="text-center">
                                                {{ tramite.parroquia|capitalize }}
                                        </td>
                                        <td class="text-center">
                                            {% if tramite.status_actividad == True %}
                                            <div class="external-event bg-blue">Activa</div>
                                            {% else %}
                                            <div class="external-event bg-red">Inactiva</div>
                                            {% endif %}
                                        </td>
                                        <td class="text-center">
                                            <a title="Detalle de la Inscripción Nro. {{ tramite.nro_tramite }}" onclick="return abrir_modal('{{ url('recaudacion:detail_inscripcion', args=[tramite.id]) }}')" class="btn btn-default btn-xs"><i class="fa fa-eye"></i></a>
                                        </td>
                                    </tr>
                                    {% endfor %}
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th><i class="fa fa-credit-card"></i> &nbsp;&nbsp;Razón Social</th>
                                        <th class="text-center"><i class="fa fa-file-o"></i> &nbsp;&nbsp; RIF</th>
                                        <th class="text-center"><i class="fa fa-group"></i>&nbsp;&nbsp; 
                                            {{ titulo }}
                                        </th>
                                        <th class="text-center"><i class="fa fa-map-market"></i>
                                        &nbsp;&nbsp; Parroquia
                                        </th>
                                        <th class="text-center">
                                            Status
                                        </th>
    
                                        <th class="text-center">Acciones</th>
                                        
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>

                <div class="col-md-4">

                    {% for i in range(15) %}
                    <div class="external-event bg-blue" onclick="return abrir_modal('{{ url('recaudacion:estadisticas_tramite_modal', args=[annio]) }}')" >Activa</div>
                    {% endfor %}

                </div>
            </div>
                <!-- /.row -->

              </section>
        <!-- /.content -->
        <div id="popup" class="modal fade" role="dialog"></div>
    </div>
    <!-- /.content-wrapper -->
{% endblock content %}

{% block javascripts %}
    {{ super() }}
    <!-- DataTables -->
    <script src="{{ static('bower_components/datatables.net/js/jquery.dataTables.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-bs/js/dataTables.bootstrap.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-responsive/js/dataTables.responsive.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-responsive-bs/js/responsive.bootstrap.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-buttons/js/dataTables.buttons.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-buttons-bs/js/buttons.bootstrap.min.js') }}"></script>
    <script src="{{ static('bower_components/jszip/dist/jszip.min.js') }}"></script>
    <script src="{{ static('bower_components/pdfmake/build/pdfmake.min.js') }}"></script>
    <script src="{{ static('bower_components/pdfmake/build/vfs_fonts.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-buttons/js/buttons.html5.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-buttons/js/buttons.print.min.js') }}"></script>
    <script src="{{ static('bower_components/datatables.net-buttons/js/buttons.colVis.min.js') }}"></script>

    <!-- page script -->
    <script src="{{ static('bower_components/chart.js/Chart.js') }}"></script>

    <script>
        function abrir_modal(url) {
            $('#popup').load(url, function () {
                $(this).modal('show');
            });
            return false;
        }

        $.fn.dataTable.ext.search.push(
            function( settings, data, dataIndex ) {
                var cod_act = $('#parroquia').val();
                var codigo = data[3];
        
                if (( cod_act == codigo ) || ( cod_act == 'todos') )
                {
                    return true;
                }
                return false;
            }
        );
 
        $(document).ready(function() {
            var table = $('#example').DataTable({
                lengthChange: true,
                columnDefs: [
                    { "targets": 5, "orderable": false },
                    { "targets": [5], "searchable": false },
                ],
                language: {
                    lengthMenu: "Mostrar _MENU_ registros por página",
                    zeroRecords: "Lo sentimos, no encontramos nada",
                    info: "Mostrando la página _PAGE_ de _PAGES_",
                    infoEmpty: "Sin registros disponibles",
                    infoFiltered: "(Filtrados de untotal de _MAX_ registros)",
                    search: "Buscar: ",
                    paginate: {
                        first: "Primero",
                        last: "Último",
                        next: "Siguiente",
                        previous: "Previo"
                    },
                    buttons: {
                        copy: "Copiar"
                    },
                    decimal: "-",
                    thousands: "."
                },
                buttons: ['copy', 'csv', 'pdf']
            });

            table.buttons().container()
                .appendTo('#example_wrapper .col-sm-6:eq(0)');

            
            // Event listener to the two range filtering inputs to redraw on input
            $('#parroquia').change( function() {
                table.draw();
            } );

            $('#column0_search').on( 'keyup', function () {
                table
                    .columns( 0 )
                    .search( this.value )
                    .draw();
            } );
        });
        
    </script>
        

    <script>
        $(function () {
            // Get context with jQuery - using jQuery's .get() method.
            var barChartCanvas = $('#barChart').get(0).getContext('2d')
            // This will get the first returned node in the jQuery collection.
            var barChart       = new Chart(barChartCanvas)
        
            var barChartData = {
            labels  : ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre'],
            datasets: [
                {
                label               : 'Electronics',
                fillColor           : 'rgba(0,0,255 ,1 )',
                strokeColor         : 'rgba(0,0,255 ,1 )',
                pointColor          : 'rgba( 12, 190, 152, 1)',
                pointStrokeColor    : '#c1c7d1',
                pointHighlightFill  : '#fff',
                pointHighlightStroke: 'rgba( 12, 190, 152, 1)',
                data                : {{ datos_pasados }}
                },
                {
                label               : 'Digital Goods',
                fillColor           : 'rgba(255,0,0 ,1 )',
                strokeColor         : 'rgba(255,0,0 ,1 )',
                pointColor          : 'rgba(185,28,28,1)',
                pointStrokeColor    : 'rgba(185,28,28,1)',
                pointHighlightFill  : '#fff',
                pointHighlightStroke: 'rgba(185,28,28,1)',
                data                : {{ datos_actuales }}
                }
            ]
            }
        
            
            //-------------
            //- BAR CHART -
            //-------------
            var barChartCanvas                   = $('#barChart').get(0).getContext('2d')
            var barChart                         = new Chart(barChartCanvas)
            var barChartData                     = barChartData
            barChartData.datasets[1].fillColor   = 'rgba(243, 26, 44, 0.8)'
            barChartData.datasets[1].strokeColor = 'rgba(243, 26, 44, 0.8)'
            barChartData.datasets[1].pointColor  = 'rgba(243, 26, 44, 0.8)'
            var barChartOptions                  = {
            //Boolean - Whether the scale should start at zero, or an order of magnitude down from the lowest value
            scaleBeginAtZero        : true,
            //Boolean - Whether grid lines are shown across the chart
            scaleShowGridLines      : true,
            //String - Colour of the grid lines
            scaleGridLineColor      : 'rgba(0,0,0,.05)',
            //Number - Width of the grid lines
            scaleGridLineWidth      : 1,
            //Boolean - Whether to show horizontal lines (except X axis)
            scaleShowHorizontalLines: true,
            //Boolean - Whether to show vertical lines (except Y axis)
            scaleShowVerticalLines  : true,
            //Boolean - If there is a stroke on each bar
            barShowStroke           : true,
            //Number - Pixel width of the bar stroke
            barStrokeWidth          : 2,
            //Number - Spacing between each of the X value sets
            barValueSpacing         : 5,
            //Number - Spacing between data sets within X values
            barDatasetSpacing       : 1,
            //String - A legend template
                //Boolean - whether to make the chart responsive
            responsive              : true,
            maintainAspectRatio     : true
            }
        
            barChartOptions.datasetFill = false
            barChart.Bar(barChartData, barChartOptions)
        })
    </script>
{% endblock javascripts %}